package com.red.circle.console.infra.google;

import java.util.HashMap;
import java.util.Map;

public class GoogleTransactionTool {

  /**
   * Key -> Value 语言     -> 单词表示
   */
  public static final Map<String, String> LANGUAGE = new HashMap<String, String>();

  static {
    //TODO:中文自己插入   |中文|zh_CN|
    LANGUAGE.put("en", "英语");
    LANGUAGE.put("zh_TW", "中文繁体");
    LANGUAGE.put("ru", "俄语");
    LANGUAGE.put("pt", "葡萄牙语");
    LANGUAGE.put("ko", "韩语");
    LANGUAGE.put("ja", "日语");
    LANGUAGE.put("hi", "印地语");
    LANGUAGE.put("fr", "法语");
    LANGUAGE.put("es", "西班牙语");
    LANGUAGE.put("de", "德语");
    LANGUAGE.put("ar", "阿拉伯语");
    LANGUAGE.put("bn", "孟加拉语");
    LANGUAGE.put("ceb", "宿务语");
    LANGUAGE.put("gu", "古吉拉特语");
    LANGUAGE.put("id", "印度尼西亚语");
    LANGUAGE.put("it", "意大利语");
    LANGUAGE.put("jv", "爪哇语");
    LANGUAGE.put("kn", "卡纳达语");
    LANGUAGE.put("ml", "马拉雅拉姆语");
    LANGUAGE.put("mr", "马拉地语");
    LANGUAGE.put("ms", "马来语");
    LANGUAGE.put("my", "缅甸语");
    LANGUAGE.put("nl", "荷兰语");
    LANGUAGE.put("or", "奥里亚语");
    LANGUAGE.put("pa", "旁遮普语");
    LANGUAGE.put("pl", "波兰语");
    LANGUAGE.put("sv", "瑞典语");
    LANGUAGE.put("ta", "泰米尔语");
    LANGUAGE.put("te", "泰卢固语");
    LANGUAGE.put("th", "泰语");
    LANGUAGE.put("tl", "塔加路语");
    LANGUAGE.put("tr", "土耳其语");
    LANGUAGE.put("uk", "乌克兰语");
    LANGUAGE.put("vi", "越南语");
    LANGUAGE.put("ca", "加泰隆语");
    LANGUAGE.put("cs", "捷克语");
    LANGUAGE.put("da", "丹麦语");
    LANGUAGE.put("el", "希腊语");
    LANGUAGE.put("fi", "芬兰语");
    LANGUAGE.put("he", "希伯来语");
    LANGUAGE.put("hr", "克罗地亚语");
    LANGUAGE.put("hu", "匈牙利语");
    LANGUAGE.put("ro", "罗马尼亚语");
    LANGUAGE.put("sk", "斯洛伐克语");
    LANGUAGE.put("no", "挪威语");

    //TODO: 新增语言时需要在此增加
        /*LANGUAGE.put("af","南非荷兰语");//南非荷兰语
        LANGUAGE.put("sq","阿尔巴尼亚语");//阿尔巴尼亚语*/

  }
}
